# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from .utils import login


def test_manager_ou_export(app, admin, ou1, role_ou1, ou2, role_ou2):
    response = login(app, admin, 'a2-manager-ous')

    export_response = response.click('JSON')
    export = export_response.json

    assert list(export.keys()) == ['ous']
    assert len(export['ous']) == 3
    assert set([ou['slug'] for ou in export['ous']]) == set(['default', 'ou1', 'ou2'])

    response.form.set('search-text', 'ou1')
    search_response = response.form.submit()

    export_response = search_response.click('JSON')
    export = export_response.json

    assert len(export['ous']) == 1
    assert export['ous'][0]['slug'] == 'ou1'
